OrderProduct

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class OrderProduct

    java.lang.Object
      com.fenalco.entities.AbstractProduct
          com.fenalco.entities.OrderProduct

    public class OrderProduct

extends AbstractProduct

Esta clase encapsula el comportamiento de la tabla producto_pedido de la base de datos.

Author:
  Mario Linares Vásquez

Field Summary
`private int` | `orderId` Id del pedido
`private double` | `orderPrice`

Fields inherited from class com.fenalco.entities.AbstractProduct
`code, name, price, quantity, supplierId, supplierName, supplierProductId, tableId`

Constructor Summary
`OrderProduct()` Constructor por omisión de la clase
`OrderProduct(int orderProductId)` Este constructor utiliza la función loadData para cargar los datos de la table producto_peddido en la base de datos

Method Summary
`double` | `calculateValue()` Retorna el total correspondiente para este producto en el pedido.
`boolean` | `delete(Transaction transaction)` Elimina el registro producto_pedido de la base de datos usando el método `addSql` de la transacción que recibe
`int` | `getOrderId()` Consultor para el atributo orderId.
`double` | `getOrderPrice()` Getter for property orderPrice.
`int` | `getSupplierProductId()` Getter for property supplierProductId.
`int` | `hashCode()`
`boolean` | `loadData(int orderProductId)` Carga los datos de la tabla producto_pedido de acuerdo con el id proporcionado
`boolean` | `loadHistoricalOrderProduct(int orderProductId)` Carga los datos de la tabla producto_pedido de acuerdo con el id proporcionado
`void` | `makeHistorical(Transaction transaction)`
`boolean` | `saveData(Transaction transaction)` Almacena la información del producto_pedido en la base de datos usando el método `addSql` de la transacción que recibe
`void` | `setOrderId(int orderId)` Setter para el atributo orderId.
`void` | `setOrderPrice(double orderPrice)` Setter for property orderPrice.
`void` | `setSupplierProductId(int supplierProductId)` Setter for property supplierProductId.
`boolean` | `update(Transaction transaction)` Este método actualiza la información en base de datos

Methods inherited from class com.fenalco.entities.AbstractProduct
`getCode, getName, getPrice, getQuantity, getSupplierId, getSupplierName, getTableId, setCode, setName, setPrice, setQuantity, setSupplierId, setSupplierName, setTableId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderId

    private int orderId

  Id del pedido

### orderPrice

    private double orderPrice

Constructor Detail

### OrderProduct

    public OrderProduct()

  Constructor por omisión de la clase

### OrderProduct

    public OrderProduct(int orderProductId)

  Este constructor utiliza la función loadData para cargar los datos de la table producto_peddido en la base de datos

  Parameters:
    `orderProductId` - id del producto del pedido

Method Detail

### loadData

    public boolean loadData(int orderProductId)

  Carga los datos de la tabla producto_pedido de acuerdo con el id proporcionado

  Specified by:
    `loadData` in class `AbstractProduct`
  Parameters:
    `orderProductId` - id del producto del pedido
  Returns:
    boolean que representa el exito del proceso

### update

    public boolean update(Transaction transaction)

  Este método actualiza la información en base de datos

  Specified by:
    `update` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si la operación se pudo ejecutar o no

### saveData

    public boolean saveData(Transaction transaction)

  Almacena la información del producto_pedido en la base de datos usando el método `addSql` de la transacción que recibe

  Specified by:
    `saveData` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    un booleano que indica si se pudo salvar la información o no

### delete

    public boolean delete(Transaction transaction)

  Elimina el registro producto_pedido de la base de datos usando el método `addSql` de la transacción que recibe

  Specified by:
    `delete` in class `AbstractProduct`
  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    un booleano que indica si se pudo eliminar el pedido o no

### calculateValue

    public double calculateValue()

  Retorna el total correspondiente para este producto en el pedido.

  Returns:
    valor calculado

### getOrderId

    public int getOrderId()

  Consultor para el atributo orderId.

  Returns:
    Valor de el atributo orderId.

### setOrderId

    public void setOrderId(int orderId)

  Setter para el atributo orderId.

  Parameters:
    `orderId` - Nuevo valor de el atributo orderId.

### getSupplierProductId

    public int getSupplierProductId()

  Getter for property supplierProductId.

  Overrides:
    `getSupplierProductId` in class `AbstractProduct`
  Returns:
    Value of property supplierProductId.

### setSupplierProductId

    public void setSupplierProductId(int supplierProductId)

  Setter for property supplierProductId.

  Overrides:
    `setSupplierProductId` in class `AbstractProduct`
  Parameters:
    `supplierProductId` - New value of property supplierProductId.

### getOrderPrice

    public double getOrderPrice()

  Getter for property orderPrice.

  Returns:
    Value of property orderPrice.

### setOrderPrice

    public void setOrderPrice(double orderPrice)

  Setter for property orderPrice.

  Parameters:
    `orderPrice` - New value of property orderPrice.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### makeHistorical

    public void makeHistorical(Transaction transaction)

### loadHistoricalOrderProduct

    public boolean loadHistoricalOrderProduct(int orderProductId)

  Carga los datos de la tabla producto_pedido de acuerdo con el id proporcionado

  Parameters:
    `orderProductId` - id del producto del pedido
  Returns:
    boolean que representa el exito del proceso

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD